
Redmine - Feature #31925

Per role visibility settings for project custom fields

2019-08-19 22:18 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 4.1.0   

Resolution: Fixed   

Description

Extracted the patch from #23997.

Related issues:

Related to Redmine - Feature #23997: Per role visibility settings for version... Closed

Related to Redmine - Patch #31954: Reject project/version custom field values... Closed

Associated revisions

Revision 18379 - 2019-08-20 03:44 - Go MAEDA

Per role visibility settings for project custom fields (#31925).

Patch by Jens Krämer and Marius BALTEANU.

Revision 18401 - 2019-08-27 12:20 - Go MAEDA

Reject project custom field values not visible for the user (#31954, #31925).

Patch by Marius BALTEANU.

History

#1 - 2019-08-19 22:18 - Marius BĂLTEANU

Tests pass: https://gitlab.com/redmine-org/redmine/pipelines/77163012

#2 - 2019-08-19 22:18 - Marius BĂLTEANU

- Related to Feature #23997: Per role visibility settings for version custom fields added

#3 - 2019-08-20 03:48 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

- Resolution set to Fixed

Committed the patch. Thank you for adding a nice feature!

#4 - 2019-08-27 09:20 - Marius BĂLTEANU

- Related to Patch #31954: Reject project/version custom field values not visible to user added

Files

0001-Per-role-visibility-settings-for-project-custom-fiel.patch 4.5 KB 2019-08-19 Marius BĂLTEANU
